# HG changeset patch
# User Yuriy Izorkin
# Date 1708074268 -10800
#      Fri Feb 16 12:04:28 2024 +0300
# Branch update-mime-types
# Node ID 2343683b93bc2144073e4c808a3951de83b67d95
# Parent  89bff782528a91ad123b63b624f798e6fd9c8e68
MIME: change type image/x-ms-bmp to image/image

According to IANA, the image/bmp type is used for bmp and dib files.

diff -r 89bff782528a -r 714041fa3c62 conf/mime.types
--- a/conf/mime.types   Wed Feb 14 20:03:00 2024 +0400
+++ b/conf/mime.types   Fri Feb 16 12:04:28 2024 +0300
@@ -16,6 +16,7 @@
     text/x-component                                 htc;

     image/avif                                       avif;
+    image/bmp                                        bmp dib;
     image/png                                        png;
     image/svg+xml                                    svg svgz;
     image/tiff                                       tif tiff;
@@ -23,7 +24,6 @@
     image/webp                                       webp;
     image/x-icon                                     ico;
     image/x-jng                                      jng;
-    image/x-ms-bmp                                   bmp;

     font/woff                                        woff;
     font/woff2                                       woff2;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708074468 -10800
#      Fri Feb 16 12:07:48 2024 +0300
# Branch update-mime-types
# Node ID ddf871e6c8eeea2715d332ba48f77662cbb0cb4d
# Parent  2343683b93bc2144073e4c808a3951de83b67d95
MIME: update application/postscript type

According to IANA, the application/postscript type is used for ps,
ai, eps, epsi, epsf, eps2 and eps3 files.

diff -r 2343683b93bc -r ddf871e6c8ee conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:04:28 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:07:48 2024 +0300
@@ -33,7 +33,7 @@
     application/mac-binhex40                         hqx;
     application/msword                               doc;
     application/pdf                                  pdf;
-    application/postscript                           ps eps ai;
+    application/postscript                           ps ai eps epsi epsf eps2 eps3;
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u8;
     application/vnd.google-earth.kml+xml             kml;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708074518 -10800
#      Fri Feb 16 12:08:38 2024 +0300
# Branch update-mime-types
# Node ID 509e72ea0a5f9431e3415c34fdb4c5d223523ae4
# Parent  ddf871e6c8eeea2715d332ba48f77662cbb0cb4d
MIME: update application/vnd.apple.mpegurl type

According to IANA, the application/vnd.apple.mpegurl type is used
for m3u and msu8 files.

diff -r ddf871e6c8ee -r 509e72ea0a5f conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:07:48 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:08:38 2024 +0300
@@ -35,7 +35,7 @@
     application/pdf                                  pdf;
     application/postscript                           ps ai eps epsi epsf eps2 eps3;
     application/rtf                                  rtf;
-    application/vnd.apple.mpegurl                    m3u8;
+    application/vnd.apple.mpegurl                    m3u m3u8;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.ms-excel                         xls;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708074976 -10800
#      Fri Feb 16 12:16:16 2024 +0300
# Branch update-mime-types
# Node ID dcae80f284f4c8bad491b0f19b4b5fe43bb7aafb
# Parent  509e72ea0a5f9431e3415c34fdb4c5d223523ae4
MIME: update application/vnd.ms-excel type

According to the MSDN blog, the application/vnd.ms-excel type is
used for ps, ai, eps, epsi, epsf, eps2, and eps3 files.

diff -r 509e72ea0a5f -r dcae80f284f4 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:08:38 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:16:16 2024 +0300
@@ -38,7 +38,7 @@
     application/vnd.apple.mpegurl                    m3u m3u8;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
-    application/vnd.ms-excel                         xls;
+    application/vnd.ms-excel                         xls xlm xla xlc xlt xlw;
     application/vnd.ms-fontobject                    eot;
     application/vnd.ms-powerpoint                    ppt;
     application/vnd.oasis.opendocument.graphics      odg;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075032 -10800
#      Fri Feb 16 12:17:12 2024 +0300
# Branch update-mime-types
# Node ID 2f8f68d244340e70de862976a944da6369abf5e9
# Parent  dcae80f284f4c8bad491b0f19b4b5fe43bb7aafb
MIME: update application/vnd.ms-powerpoint type

According to the MSDN blog, the application/vnd.ms-excel type is
used for ppt and pps files.

diff -r dcae80f284f4 -r 2f8f68d24434 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:16:16 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:17:12 2024 +0300
@@ -40,7 +40,7 @@
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.ms-excel                         xls xlm xla xlc xlt xlw;
     application/vnd.ms-fontobject                    eot;
-    application/vnd.ms-powerpoint                    ppt;
+    application/vnd.ms-powerpoint                    ppt pps;
     application/vnd.oasis.opendocument.graphics      odg;
     application/vnd.oasis.opendocument.presentation  odp;
     application/vnd.oasis.opendocument.spreadsheet   ods;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075086 -10800
#      Fri Feb 16 12:18:06 2024 +0300
# Branch update-mime-types
# Node ID b342fce18638dd70f8e9a5dc55a5b54bd1276af9
# Parent  2f8f68d244340e70de862976a944da6369abf5e9
MIME: update application/vnd.wap.wmlc type

According to IANA, the application/vnd.wap.wmlc type is wmlc
and wbxml files.

diff -r 2f8f68d24434 -r b342fce18638 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:17:12 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:18:06 2024 +0300
@@ -51,7 +51,7 @@
                                                      xlsx;
     application/vnd.openxmlformats-officedocument.wordprocessingml.document
                                                      docx;
-    application/vnd.wap.wmlc                         wmlc;
+    application/vnd.wap.wmlc                         wmlc wbxml;
     application/wasm                                 wasm;
     application/x-7z-compressed                      7z;
     application/x-cocoa                              cco;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075139 -10800
#      Fri Feb 16 12:18:59 2024 +0300
# Branch update-mime-types
# Node ID dc76b70436d8cacbc283171c922c985176d4adc9
# Parent  b342fce18638dd70f8e9a5dc55a5b54bd1276af9
MIME: change type application/x-pilot to application/vnd.palm

According to IANA, the application/vnd.palm type is rpc, pdb,
pqa and oprc files.

diff -r b342fce18638 -r dc76b70436d8 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:18:06 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:18:59 2024 +0300
@@ -51,6 +51,7 @@
                                                      xlsx;
     application/vnd.openxmlformats-officedocument.wordprocessingml.document
                                                      docx;
+    application/vnd.palm                             prc pdb pqa oprc;
     application/vnd.wap.wmlc                         wmlc wbxml;
     application/wasm                                 wasm;
     application/x-7z-compressed                      7z;
@@ -59,7 +60,7 @@
     application/x-java-jnlp-file                     jnlp;
     application/x-makeself                           run;
     application/x-perl                               pl pm;
-    application/x-pilot                              prc pdb;
+    application/x-pilot                              pdb;
     application/x-rar-compressed                     rar;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075194 -10800
#      Fri Feb 16 12:19:54 2024 +0300
# Branch update-mime-types
# Node ID 1657148596d82068359efd83ebd06073d2da7317
# Parent  dc76b70436d8cacbc283171c922c985176d4adc9
MIME: move rpc files to model/prc type

PRC (Product Representation Compact) is a file format that can be
used to embed 3D data in a PDF file.

diff -r dc76b70436d8 -r 1657148596d8 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:18:59 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:19:54 2024 +0300
@@ -25,6 +25,8 @@
     image/x-jng                                      jng;
     image/x-ms-bmp                                   bmp;

+    model/prc                                        prc;
+
     font/woff                                        woff;
     font/woff2                                       woff2;

@@ -51,7 +53,7 @@
                                                      xlsx;
     application/vnd.openxmlformats-officedocument.wordprocessingml.document
                                                      docx;
-    application/vnd.palm                             prc pdb pqa oprc;
+    application/vnd.palm                             pdb pqa oprc;
     application/vnd.wap.wmlc                         wmlc wbxml;
     application/wasm                                 wasm;
     application/x-7z-compressed                      7z;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075237 -10800
#      Fri Feb 16 12:20:37 2024 +0300
# Branch update-mime-types
# Node ID 52f91032787a0637a1c8e628aa6a9d6e88ce8ac1
# Parent  1657148596d82068359efd83ebd06073d2da7317
MIME: change type application/x-rar-compressed to application/vnd.rar

According to IANA, the application/vnd.rar type is rar files.

diff -r 1657148596d8 -r 52f91032787a conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:19:54 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:20:37 2024 +0300
@@ -54,6 +54,7 @@
     application/vnd.openxmlformats-officedocument.wordprocessingml.document
                                                      docx;
     application/vnd.palm                             pdb pqa oprc;
+    application/vnd.rar                              rar;
     application/vnd.wap.wmlc                         wmlc wbxml;
     application/wasm                                 wasm;
     application/x-7z-compressed                      7z;
@@ -63,7 +64,6 @@
     application/x-makeself                           run;
     application/x-perl                               pl pm;
     application/x-pilot                              pdb;
-    application/x-rar-compressed                     rar;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
     application/x-shockwave-flash                    swf;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075364 -10800
#      Fri Feb 16 12:22:44 2024 +0300
# Branch update-mime-types
# Node ID 7fee3247329cbaa138e2657623e899f11f95a1ea
# Parent  52f91032787a0637a1c8e628aa6a9d6e88ce8ac1
MIME: change type application/x-shockwave-flash to application/vnd.adobe.flash.movie

According to IANA, the application/vnd.adobe.flash.movie type
is swf files.

diff -r 52f91032787a -r 7fee3247329c conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:20:37 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:22:44 2024 +0300
@@ -38,6 +38,7 @@
     application/postscript                           ps ai eps epsi epsf eps2 eps3;
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u m3u8;
+    application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.ms-excel                         xls xlm xla xlc xlt xlw;
@@ -66,7 +67,6 @@
     application/x-pilot                              pdb;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
-    application/x-shockwave-flash                    swf;
     application/x-stuffit                            sit;
     application/x-tcl                                tcl tk;
     application/x-x509-ca-cert                       der pem crt;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075419 -10800
#      Fri Feb 16 12:23:39 2024 +0300
# Branch update-mime-types
# Node ID 95dad013e0a75525164a13c15ec9756ff90e700b
# Parent  7fee3247329cbaa138e2657623e899f11f95a1ea
MIME: update application/x-stuffit type

According to information from Wikipedia and the official
Stuffit website, the application/x-stuffit  type is sit,
sitx and sit5 files.

diff -r 7fee3247329c -r 95dad013e0a7 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:22:44 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:23:39 2024 +0300
@@ -67,7 +67,7 @@
     application/x-pilot                              pdb;
     application/x-redhat-package-manager             rpm;
     application/x-sea                                sea;
-    application/x-stuffit                            sit;
+    application/x-stuffit                            sit sitx sit5;
     application/x-tcl                                tcl tk;
     application/x-x509-ca-cert                       der pem crt;
     application/x-xpinstall                          xpi;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075454 -10800
#      Fri Feb 16 12:24:14 2024 +0300
# Branch update-mime-types
# Node ID ee5e77bc4a9071362c261af8936579af836944b8
# Parent  95dad013e0a75525164a13c15ec9756ff90e700b
MIME: move pem files to application/pem-certificate-chain type

According to IANA, the application/pem-certificate-chain type
is pem files.

diff -r 95dad013e0a7 -r ee5e77bc4a90 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:23:39 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:24:14 2024 +0300
@@ -34,6 +34,7 @@
     application/json                                 json;
     application/mac-binhex40                         hqx;
     application/msword                               doc;
+    application/pem-certificate-chain                pem;
     application/pdf                                  pdf;
     application/postscript                           ps ai eps epsi epsf eps2 eps3;
     application/rtf                                  rtf;
@@ -69,7 +70,7 @@
     application/x-sea                                sea;
     application/x-stuffit                            sit sitx sit5;
     application/x-tcl                                tcl tk;
-    application/x-x509-ca-cert                       der pem crt;
+    application/x-x509-ca-cert                       der crt;
     application/x-xpinstall                          xpi;
     application/xhtml+xml                            xhtml;
     application/xspf+xml                             xspf;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075492 -10800
#      Fri Feb 16 12:24:52 2024 +0300
# Branch update-mime-types
# Node ID c20566eb9c3ee44a6a48d226d3a521e749f16b90
# Parent  ee5e77bc4a9071362c261af8936579af836944b8
MIME: move exe and dll files to application/vnd.microsoft.portable-executable type

According to IANA, the application/vnd.microsoft.portable-executable
type is exe and dll files.

diff -r ee5e77bc4a90 -r c20566eb9c3e conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:24:14 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:24:52 2024 +0300
@@ -42,6 +42,7 @@
     application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
+    application/vnd.microsoft.portable-executable    exe dll;
     application/vnd.ms-excel                         xls xlm xla xlc xlt xlw;
     application/vnd.ms-fontobject                    eot;
     application/vnd.ms-powerpoint                    ppt pps;
@@ -76,7 +77,7 @@
     application/xspf+xml                             xspf;
     application/zip                                  zip;

-    application/octet-stream                         bin exe dll;
+    application/octet-stream                         bin;
     application/octet-stream                         deb;
     application/octet-stream                         dmg;
     application/octet-stream                         iso img;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075523 -10800
#      Fri Feb 16 12:25:23 2024 +0300
# Branch update-mime-types
# Node ID 2c63cf8ce08c8cd8ecc8bec006d9cf1cbb2f4ee7
# Parent  c20566eb9c3ee44a6a48d226d3a521e749f16b90
MIME: move deb files to application/vnd.debian.binary-package type

According to IANA, the application/vnd.debian.binary-package
type is deb and udeb files.

diff -r c20566eb9c3e -r 2c63cf8ce08c conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:24:52 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:25:23 2024 +0300
@@ -39,6 +39,7 @@
     application/postscript                           ps ai eps epsi epsf eps2 eps3;
     application/rtf                                  rtf;
     application/vnd.apple.mpegurl                    m3u m3u8;
+    application/vnd.debian.binary-package            deb udeb;
     application/vnd.adobe.flash.movie                swf;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
@@ -78,7 +79,6 @@
     application/zip                                  zip;

     application/octet-stream                         bin;
-    application/octet-stream                         deb;
     application/octet-stream                         dmg;
     application/octet-stream                         iso img;
     application/octet-stream                         msi msp msm;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075555 -10800
#      Fri Feb 16 12:25:55 2024 +0300
# Branch update-mime-types
# Node ID d32af4c1c6ae83dfb3ee4e6f15298151c7e4ee32
# Parent  2c63cf8ce08c8cd8ecc8bec006d9cf1cbb2f4ee7
MIME: move iso files to application/vnd.efi.iso type

According to IANA, the application/vnd.efi.iso type is iso files.

diff -r 2c63cf8ce08c -r d32af4c1c6ae conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:25:23 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:25:55 2024 +0300
@@ -41,6 +41,7 @@
     application/vnd.apple.mpegurl                    m3u m3u8;
     application/vnd.debian.binary-package            deb udeb;
     application/vnd.adobe.flash.movie                swf;
+    application/vnd.efi.iso                          iso;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.microsoft.portable-executable    exe dll;
@@ -80,7 +81,7 @@

     application/octet-stream                         bin;
     application/octet-stream                         dmg;
-    application/octet-stream                         iso img;
+    application/octet-stream                         img;
     application/octet-stream                         msi msp msm;

     audio/midi                                       mid midi kar;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075588 -10800
#      Fri Feb 16 12:26:28 2024 +0300
# Branch update-mime-types
# Node ID dd7cc81a9ce10d31173c2f41786a0754ba796d55
# Parent  d32af4c1c6ae83dfb3ee4e6f15298151c7e4ee32
MIME: move img files to application/vnd.efi.img type

According to IANA, the application/vnd.efi.img type is img files.

diff -r d32af4c1c6ae -r dd7cc81a9ce1 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:25:55 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:26:28 2024 +0300
@@ -42,6 +42,7 @@
     application/vnd.debian.binary-package            deb udeb;
     application/vnd.adobe.flash.movie                swf;
     application/vnd.efi.iso                          iso;
+    application/vnd.efi.img                          img;
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.microsoft.portable-executable    exe dll;
@@ -81,7 +82,6 @@

     application/octet-stream                         bin;
     application/octet-stream                         dmg;
-    application/octet-stream                         img;
     application/octet-stream                         msi msp msm;

     audio/midi                                       mid midi kar;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075619 -10800
#      Fri Feb 16 12:26:59 2024 +0300
# Branch update-mime-types
# Node ID 7d0fea184e70422eff2a8a8eebc6bbef1e118031
# Parent  dd7cc81a9ce10d31173c2f41786a0754ba796d55
MIME: move mid files to audio/sp-midi type

According to IANA, the audio/sp-midi type is mid files.

diff -r dd7cc81a9ce1 -r 7d0fea184e70 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:26:28 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:26:59 2024 +0300
@@ -84,11 +84,12 @@
     application/octet-stream                         dmg;
     application/octet-stream                         msi msp msm;

-    audio/midi                                       mid midi kar;
+    audio/midi                                       midi kar;
     audio/mpeg                                       mp3;
     audio/ogg                                        ogg;
     audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;
+    audio/sp-midi                                    mid;

     video/3gpp                                       3gpp 3gp;
     video/mp2t                                       ts;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075654 -10800
#      Fri Feb 16 12:27:34 2024 +0300
# Branch update-mime-types
# Node ID f8a964f8d318156a1466f1da9f58796ee7036299
# Parent  7d0fea184e70422eff2a8a8eebc6bbef1e118031
MIME: update audio/mpeg type

According to information from IANA and Wikipedia, the audio/mpeg
type is mp1, mp2, mp3, m1a, m2a and mpa files.

diff -r 7d0fea184e70 -r f8a964f8d318 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:26:59 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:27:34 2024 +0300
@@ -85,7 +85,7 @@
     application/octet-stream                         msi msp msm;

     audio/midi                                       midi kar;
-    audio/mpeg                                       mp3;
+    audio/mpeg                                       mp1 mp2 mp3 m1a m2a mpa;
     audio/ogg                                        ogg;
     audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075683 -10800
#      Fri Feb 16 12:28:03 2024 +0300
# Branch update-mime-types
# Node ID db24b1365b4f4b0fe7fbb8526e8f5d3d3d7c2b98
# Parent  f8a964f8d318156a1466f1da9f58796ee7036299
MIME: update audio/ogg type

According to IANA, the audio/mpeg type is oga, ogg, opus
and spx3 files.

diff -r f8a964f8d318 -r db24b1365b4f conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:27:34 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:28:03 2024 +0300
@@ -86,7 +86,7 @@

     audio/midi                                       midi kar;
     audio/mpeg                                       mp1 mp2 mp3 m1a m2a mpa;
-    audio/ogg                                        ogg;
+    audio/ogg                                        oga ogg opus spx;
     audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;
     audio/sp-midi                                    mid;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075838 -10800
#      Fri Feb 16 12:30:38 2024 +0300
# Branch update-mime-types
# Node ID e7b33ef20d2d9ce47a16b07677e0360705bbd8e3
# Parent  db24b1365b4f4b0fe7fbb8526e8f5d3d3d7c2b98
MIME: change type audio/x-m4a to audio/mp4

According to information from IANA and Wikipedia, the audio/mp4
type is m4a, m4b ans m4r files.

diff -r db24b1365b4f -r e7b33ef20d2d conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:28:03 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:30:38 2024 +0300
@@ -85,9 +85,9 @@
     application/octet-stream                         msi msp msm;

     audio/midi                                       midi kar;
+    audio/mp4                                        m4a m4b m4r;
     audio/mpeg                                       mp1 mp2 mp3 m1a m2a mpa;
     audio/ogg                                        oga ogg opus spx;
-    audio/x-m4a                                      m4a;
     audio/x-realaudio                                ra;
     audio/sp-midi                                    mid;

# HG changeset patch
# User Yuriy Izorkin
# Date 1708075871 -10800
#      Fri Feb 16 12:31:11 2024 +0300
# Branch update-mime-types
# Node ID 2c4ce96098d8e0352577b02ab543a1ddc0f2456c
# Parent  e7b33ef20d2d9ce47a16b07677e0360705bbd8e3
MIME: change type audio/x-realaudio to audio/vnd.rn-realaudio

According to Wikipedia, the audio/vnd.rn-realaudio type is ra
and ram files.

diff -r e7b33ef20d2d -r 2c4ce96098d8 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:30:38 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:31:11 2024 +0300
@@ -88,8 +88,8 @@
     audio/mp4                                        m4a m4b m4r;
     audio/mpeg                                       mp1 mp2 mp3 m1a m2a mpa;
     audio/ogg                                        oga ogg opus spx;
-    audio/x-realaudio                                ra;
     audio/sp-midi                                    mid;
+    audio/vnd.rn-realaudio                           ra ram;

     video/3gpp                                       3gpp 3gp;
     video/mp2t                                       ts;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075922 -10800
#      Fri Feb 16 12:32:02 2024 +0300
# Branch update-mime-types
# Node ID 9c9157d6e5358210d2300d47d6e590d64f6a63c2
# Parent  2c4ce96098d8e0352577b02ab543a1ddc0f2456c
MIME: update video/mp2t type

According to Wikipedia, the video/mp2t type is m2t, m2ts, mts,
ts, tsa and tsv files.

diff -r 2c4ce96098d8 -r 9c9157d6e535 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:31:11 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:32:02 2024 +0300
@@ -92,7 +92,7 @@
     audio/vnd.rn-realaudio                           ra ram;

     video/3gpp                                       3gpp 3gp;
-    video/mp2t                                       ts;
+    video/mp2t                                       m2t m2ts mts ts tsa tsv;
     video/mp4                                        mp4;
     video/mpeg                                       mpeg mpg;
     video/quicktime                                  mov;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075953 -10800
#      Fri Feb 16 12:32:33 2024 +0300
# Branch update-mime-types
# Node ID d990275b24169a9abd3a66d5d8529b313c60cc2e
# Parent  9c9157d6e5358210d2300d47d6e590d64f6a63c2
MIME: update video/mp4 type

According to information from IANA and Wikipedia, the video/mp4
type is mp4, m4p and m4v files.

diff -r 9c9157d6e535 -r d990275b2416 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:32:02 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:32:33 2024 +0300
@@ -93,12 +93,11 @@

     video/3gpp                                       3gpp 3gp;
     video/mp2t                                       m2t m2ts mts ts tsa tsv;
-    video/mp4                                        mp4;
+    video/mp4                                        mp4 m4p m4v;
     video/mpeg                                       mpeg mpg;
     video/quicktime                                  mov;
     video/webm                                       webm;
     video/x-flv                                      flv;
-    video/x-m4v                                      m4v;
     video/x-mng                                      mng;
     video/x-ms-asf                                   asx asf;
     video/x-ms-wmv                                   wmv;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708075989 -10800
#      Fri Feb 16 12:33:09 2024 +0300
# Branch update-mime-types
# Node ID 2959cb1f2d549b7a395631ab4121e9c2116d112a
# Parent  d990275b24169a9abd3a66d5d8529b313c60cc2e
MIME: update video/mpeg type

According to Wikipedia, the video/mpeg type is mpeg, mpg, mpe,
m1v, m2v and mpv files.

diff -r d990275b2416 -r 2959cb1f2d54 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:32:33 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:33:09 2024 +0300
@@ -94,7 +94,7 @@
     video/3gpp                                       3gpp 3gp;
     video/mp2t                                       m2t m2ts mts ts tsa tsv;
     video/mp4                                        mp4 m4p m4v;
-    video/mpeg                                       mpeg mpg;
+    video/mpeg                                       mpeg mpg mpe m1v m2v mpv;
     video/quicktime                                  mov;
     video/webm                                       webm;
     video/x-flv                                      flv;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708076020 -10800
#      Fri Feb 16 12:33:40 2024 +0300
# Branch update-mime-types
# Node ID 201c3036d4d6be9c6cd0896a1bbe3e503e57dfe1
# Parent  2959cb1f2d549b7a395631ab4121e9c2116d112a
MIME: update video/quicktime type

According to Wikipedia, the video/quicktime type is qt, mov
and movie files.

diff -r 2959cb1f2d54 -r 201c3036d4d6 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:33:09 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:33:40 2024 +0300
@@ -95,7 +95,7 @@
     video/mp2t                                       m2t m2ts mts ts tsa tsv;
     video/mp4                                        mp4 m4p m4v;
     video/mpeg                                       mpeg mpg mpe m1v m2v mpv;
-    video/quicktime                                  mov;
+    video/quicktime                                  qt mov movie;
     video/webm                                       webm;
     video/x-flv                                      flv;
     video/x-mng                                      mng;
# HG changeset patch
# User Yuriy Izorkin
# Date 1708076050 -10800
#      Fri Feb 16 12:34:10 2024 +0300
# Branch update-mime-types
# Node ID f3a23c1c4eb3e3a48bc2dc3c2ab1b16e403c0439
# Parent  201c3036d4d6be9c6cd0896a1bbe3e503e57dfe1
MIME: change type video/x-ms-asf to application/vnd.ms-asf

According to information from IANA and Wikipedia, the
application/vnd.ms-asf type is asf, wma and wmv files.

diff -r 201c3036d4d6 -r f3a23c1c4eb3 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:33:40 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:34:10 2024 +0300
@@ -46,6 +46,7 @@
     application/vnd.google-earth.kml+xml             kml;
     application/vnd.google-earth.kmz                 kmz;
     application/vnd.microsoft.portable-executable    exe dll;
+    application/vnd.ms-asf                           asf wma wmv;
     application/vnd.ms-excel                         xls xlm xla xlc xlt xlw;
     application/vnd.ms-fontobject                    eot;
     application/vnd.ms-powerpoint                    ppt pps;
@@ -99,7 +100,5 @@
     video/webm                                       webm;
     video/x-flv                                      flv;
     video/x-mng                                      mng;
-    video/x-ms-asf                                   asx asf;
-    video/x-ms-wmv                                   wmv;
     video/x-msvideo                                  avi;
 }
# HG changeset patch
# User Yuriy Izorkin
# Date 1708076083 -10800
#      Fri Feb 16 12:34:43 2024 +0300
# Branch update-mime-types
# Node ID 5d8f2eb93395bc3982d68a876b27950dc5fc0252
# Parent  f3a23c1c4eb3e3a48bc2dc3c2ab1b16e403c0439
MIME: change type video/x-msvideo to video/vnd.avi

According to information from RFC 2361 and Wikipedia, the
video/vnd.avi type is avi files.

diff -r f3a23c1c4eb3 -r 5d8f2eb93395 conf/mime.types
--- a/conf/mime.types   Fri Feb 16 12:34:10 2024 +0300
+++ b/conf/mime.types   Fri Feb 16 12:34:43 2024 +0300
@@ -100,5 +100,5 @@
     video/webm                                       webm;
     video/x-flv                                      flv;
     video/x-mng                                      mng;
-    video/x-msvideo                                  avi;
+    video/vnd.avi                                    avi;
 }
